Bug 22748 - Wrong permission check in addbiblio.pl
Summary: Wrong permission check in addbiblio.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 20128
Blocks: 16232
  Show dependency treegraph
 
Reported: 2019-04-22 14:35 UTC by Agustín Moyano
Modified: 2019-04-26 14:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22748: Pass uderid to haspermission (1.31 KB, patch)
2019-04-22 14:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22748: Pass uderid to haspermission (1.36 KB, patch)
2019-04-22 15:14 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 22748: Pass userid to haspermission (1.42 KB, patch)
2019-04-24 06:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Agustín Moyano 2019-04-22 14:35:54 UTC
It calls C4::Auth::haspermission with borrowernumber, when sub requires userid
Comment 1 Nick Clemens 2019-04-22 14:48:06 UTC
Created attachment 88382 [details] [review]
Bug 22748: Pass uderid to haspermission
Comment 2 Agustín Moyano 2019-04-22 15:14:16 UTC
Created attachment 88386 [details] [review]
Bug 22748: Pass uderid to haspermission

Signed-off-by: Agustin Moyano <agustinmoyano@theke.io>
Comment 3 Katrin Fischer 2019-04-24 06:03:58 UTC
Misses a test plan, but looking at the code the change makes sense.
Comment 4 Katrin Fischer 2019-04-24 06:07:08 UTC
Created attachment 88592 [details] [review]
Bug 22748: Pass userid to haspermission

Signed-off-by: Agustin Moyano <agustinmoyano@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-04-24 11:49:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-26 14:56:49 UTC
Bug with enhancement not in 18.11.x series.